/* 
   Project: MPDCon

   Copyright (C) 2004

   Author: Daniel Luederwald

   Created: 2004-05-12 17:59:14 +0200 by flip
   
   Find Controller

   This application is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public
   License as published by the Free Software Foundation; either
   version 2 of the License, or (at your option) any later version.
 
   This application is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   Library General Public License for more details.
 
   You should have received a copy of the GNU General Public
   License along with this library; if not, write to the Free
   Software Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111 USA.
*/

#ifndef _PCAPPPROJ_FINDCONTROLLER_H
#define _PCAPPPROJ_FINDCONTROLLER_H

#include <AppKit/AppKit.h>
#include "PlaylistController.h"
#include "CollectionController.h"
#include "Strings.h"

@interface FindController : NSWindowController
{
  IBOutlet NSTextField *findField;
  IBOutlet NSTextField *notFoundField;
  IBOutlet NSMatrix  *scopeMatrix;
  IBOutlet NSMatrix *optionsMatrix;
  IBOutlet NSMatrix *targetMatrix;

  NSArray *allTracks;
  int lastSearch;
}

// Initialization Methods
+ (id) sharedFindController;

// Gui Methods
- (void) findNext: (id)sender;
- (void) findPrevious: (id)sender;
- (void) optionsChanged: (id)sender;

// Notification Methods
- (void) playlistChanged: (NSNotification *)aNotif;
- (void) collectionChanged: (NSNotification *)aNotif;
- (void) tracksReceived: (NSNotification *)aNotif;
- (void) doFind: (NSNotification *)aNotif;
@end

#endif
